For the complete documentation index, see llms.txt. This page is also available as Markdown.

Parametric

Update Parametric Component

put

Modifies a parametric component.

Authorizations
Path parameters
idstringRequired

Component ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
put/api/v1/parametric/components/{id}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Create Parametric Component

post

Creates a new parametric component.

Authorizations
Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/parametric
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Get Component Parameter List

get

Retrieves the parameter list of a parametric component.

Authorizations
Path parameters
componentIdstringRequired

Component ID

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/parametric/components/{componentId}/parameters
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Create Component Parameters

post

Creates parameters in a parametric component.

Authorizations
Path parameters
componentIdstringRequired

Component ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/parametric/components/{componentId}/parameters
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Modify Parameter Information

post

Modifies parameter information.

Authorizations
Path parameters
parameterIdstringRequired

Parameter ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/parametric/components/parameters/{parameterId}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Delete Single Parameter

delete

Deletes a single parameter.

Authorizations
Path parameters
parameterIdstringRequired

Parameter ID

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
delete/api/v1/parametric/components/parameters/{parameterId}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Last updated

Was this helpful?